Description

| see a bunch of errors in the log for the custom-sidebars plugin relating to PHP sessions:

[Thu Apr 02 02:05:35 2020] [warn] [pid 29576] sapi_apache2.c(351): [client 154.20.100.138:50413] P
HP Warning: session_start(): Failed to read session data: memcached (path: X:11211l?persistent=1l&a
mp; weight=2&amp; timeout=10&amp; retry_interval=10) in /wp-content/plugins/custom-sidebars/inc/exter
nal/wpmu-lib/inc/class-thelib.php on line 145

I've disabled PHP sessions when testing locally with the 'wdev_lib-use_session' filter -
https://github.com/cuny-academic-commons/cac/blob/1.16.x/wp-content/plugins/custom-sidebars/inc/external/wpmu-lib/inc/class-theli

b.php#L117

And it appears that sessions are only used to display admin notices in the dashboard. During testing, even though the admin notices
no longer showed up, the functionality of the plugin worked just fine.

This filter is only used in the custom-sidebars plugin so it should be safe to roll with turning sessions off.

Let me know what you think, Boone.

History

#1 - 2020-04-02 02:04 PM - Boone Gorges

Yeah, let's go ahead and disable via this filter across the Commons. Thanks!

#2 - 2020-04-02 03:16 PM - Raymond Hoh

- Status changed from New to Staged for Production Release

Disabled PHP sessions for the custom-sidebars plugin here -
https://github.com/cuny-academic-commons/cac/commit/d86f2585d3bfa9e6b177e4929a37ea9ac1184e1b

#3 - 2020-04-14 11:20 AM - Boone Gorges

- Status changed from Staged for Production Release to Resolved
